@import url('https://fonts.googleapis.com/css2?family=Inter:wght@400;700&family=Poppins:wght@400;600;700&family=Roboto:wght@700&family=Work+Sans:wght@500;600;700&display=swap');
body {
    margin: 0;
    box-sizing: border-box;
}

ul {
    margin: 0;
    padding: 0;
}

a {
    text-decoration: none;
}

img {
    display: block;
}

:root {
    --white: #fff;
    --main-black: #212529;
    --gold: #FFB742;
    --card-unactive: rgba(56, 62, 69, 0.44);
    --cadr-active: linear-gradient(94.3deg, #FFB742 0%, rgba(255, 123, 66, 0.76) 99.33%);
    --icon-active: rgba(255, 183, 66, 0.5);
    --oval-bkgrnd: rgba(255, 255, 255, 0.08);    
    --gray: #D5D5D5;
    --gray-rare: #D4D4D4;
    --icon-unactive: #383E45;
    --rare-black: #000;
    --footer-white: #F5FBF2;
    --footer-gray: #7B7B7B;
    --footer-bkgrnd: #1C1C1C;

    font-size: 10px;

}

.main-wrapper {
    background: var(--main-black);
}


.header-flex {
    width: 95%;
    margin: 0 auto;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 1.75rem 0;    
}

.logo {
    flex-basis: 25%;
    display: flex;
    align-items: stretch;
    justify-content: flex-start;
    min-width: fit-content;
}

.navigation-list-flex {
    flex-basis: 50%;
    display: flex;
    justify-content: space-around;
    list-style-type: none;
    padding: 0;
    margin: 0;
}

.navigation-list-item-text {
    font-family: 'Poppins';
    font-style: normal;
    font-weight: 600;
    font-size: 1.8rem;
    line-height: 2.7rem;
    text-transform: capitalize;
    color: var(--white);
}

.cta-button-wrapper {
    flex-basis: 25%;
    display: flex;
    align-items: stretch;
    justify-content: flex-end;
    min-width: fit-content;
}

.cta-button {
    font-family: 'Poppins';
    font-style: normal;
    font-weight: 700;
    font-size: 1.8rem;
    line-height: 3rem;
    text-align: center;
    color: var(--main-black);
    background: var(--gold);
    border: 0.2rem solid var(--gold);
    border-radius: 5rem;
    cursor: pointer;
    text-transform: capitalize;
    padding: 1.2rem 2.4rem;
}

.hero {
    width: 90%;
    margin: 0 auto;
    text-align: center;
    padding-top: 10rem;
}

.hero > img {
    margin: 0 auto;
}
.hero-text-subtitle {
    font-family: 'Inter';
    font-style: normal;
    font-weight: 700;
    font-size: 3.2rem;
    line-height: 5.1rem;
    text-transform: capitalize;
    color: var(--white);
    margin: 0;
}

.hero-text-subtitle > span {
    color: var(--gold);
}


.hero-text-title {
    font-family: 'Inter';
    font-style: normal;
    font-weight: 700;
    font-size: 4.8rem;
    line-height: 9.1rem;
    text-transform: capitalize;
    color: var(--white);
    margin: 0;
}

.hero-text-description {
    font-family: 'Inter';
    font-style: normal;
    font-weight: 400;
    font-size: 2.4rem;
    line-height: 5.1rem;
    text-transform: capitalize;
    color: var(--white);
    margin: 2.5rem auto;
}

.cards {
    width: 95%;
    margin: 0 auto;
    display: flex;
    align-content: center;
    justify-content: space-around;
    align-items: center;
    padding: 13rem 0;
}


.card {
    width: 31.5%;
    display: flex;
    justify-content: space-around;
    align-items: center;
    background: var(--card-unactive) ;
    border-radius: 1rem;
    padding: 2.35rem 0;
    cursor: pointer;
}

.card-description {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.card-numbers {
    font-family: 'Inter';
    font-style: normal;
    font-weight: 700;
    font-size: 3.2rem;
    line-height: 4.2rem;
    color: var(--gold);
    margin: 0;
}

.card-text {
    font-family: 'Inter';
    font-style: normal;
    font-weight: 700;
    font-size: 1.6rem;
    line-height: 3.1rem;
    color: var(--white);
    margin: 0;
}

.about-flex {
    display: flex;
    padding-top: 9rem;
}

.about-foto{
    min-width: 50%;
    object-fit: cover;
    object-position: center;
}

.about-text-flex {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    margin: 0 5rem 0 8rem;
}

.text-oval {
    font-family: 'Poppins';
    font-style: normal;
    font-weight: 600;
    font-size: 2rem;
    line-height: 3rem;
    text-transform: uppercase;
    color: var(--gold);
    background: var(--oval-bkgrnd);
    border-radius: 5rem;
    padding: .6rem 2.5rem;
    margin: 0 0 1.6rem 0;
}

.text-header {
    font-family: 'Roboto';
    font-style: normal;
    font-weight: 700;
    font-size: 4.8rem;
    line-height: 3rem;
    color: var(--white);
    margin: 0 0 3rem 0;
}

.text-description {
    font-family: 'Poppins';
    font-style: normal;
    font-weight: 400;
    font-size: 1.6rem;
    line-height: 3rem;
    color: var(--gray);
    margin: 0;
}

.cta-button-about-mod {
    margin-top: 5.4rem;
    display: block;
}

.skills-flex {
    width: 95%;
    display: flex;
    padding-top: 1.8rem;
    margin: 0 auto;
    justify-content: space-between;
}

.text-skills-mod {
    flex-basis: 50%;
    margin: 0;
}

.text-oval-skills-mod {
    margin: 0 0 .6rem 0;
}


.text-header-skills-mod {
    line-height: 5.6rem;
    padding-left: 1rem;
    padding-right: 5rem;
}

.text-description-skills-mod {
    padding-left: 1rem;
}

.cta-button-skills-mod {
    margin-top: 6.5rem;
}

.icons-flex {
    display: flex;
    flex-basis: 45%;
    flex-wrap: wrap;
    justify-content: center;
    align-content: flex-start;
}

.icon-wrapper-flex {
    width: 8rem;
    height: 8rem;
    display: flex;
    background: var(--icon-unactive);
    border-radius: 1rem;
    margin: .8rem;
    justify-content: center;
    align-items: center;
}

.text-oval-works-mod {
    max-width: fit-content;
    margin: 13.6rem auto 0.6rem;
}

.text-header-works-mod {
    line-height: 5.6rem;
    max-width: fit-content;
    margin: 0 auto;
}

.work-list-flex {
    margin: 0 auto;
    display: flex;
    list-style-type: none;
    justify-content: center;
}

.work-list-text {
    font-family: 'Poppins';
    font-style: normal;
    font-weight: 600;
    font-size: 1.6rem;
    line-height: 3rem;
    color: var(--white);
    padding: .5rem 2rem;
    border-radius: .3rem;
    margin: 3rem 0 3.5rem;
    cursor: pointer;    
}

.works-gallery-flex {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: center;
}

.works-gallery-column-flex {
    width: 30%;
    display: flex;
    flex-direction: column;
}


.works-gallery-flex img {
    width: 92%;
    margin: 4%;
    cursor: pointer;
    object-fit: cover;
    object-position: center;
}

.text-oval-reviews-mod {
    max-width: fit-content;
    margin: 13.6rem auto 0.8rem;
}

.text-header-reviews-mod {
    line-height: 4.6rem;
    max-width: fit-content;
    margin: 0 auto;
}

.reviews-gallery-flex {
    width: 90%;
    margin: 9rem auto 0;
    padding-bottom: 25rem;
    display: flex;
    justify-content: space-around;
}

.reviews-gallery-card {
    width: 30%;
    background: var(--white);
    border-radius: 0.8rem;
}

.rating-flex {
    display: flex;
    padding: 5.3rem 0 2.2rem 3.3rem;
}

.reviews-text {
    font-family: 'Poppins';
    font-style: normal;
    font-weight: 400;
    font-size: 2rem;
    line-height: 3.4rem;
    color: var(--rare-black);
    padding: 0 5.2rem 0 3.3rem;
    margin: 0;
}

.customer-flex {
    display: flex;
    align-items: center;
    padding: 3.7rem 0 4.9rem 3.2rem;
}

.customer-text-flex {
    display: flex;
    flex-direction: column;
    padding-left: 2.4rem;
}

.name {
    font-family: 'Poppins';
    font-style: normal;
    font-weight: 700;
    font-size: 2rem;
    line-height: 3.4rem;
    color: var(--rare-black);
    margin: 0;
}

.position {
    font-family: 'Poppins';
    font-style: normal;
    font-weight: 400;
    font-size: 1.6rem;
    line-height: 3.4rem;
    color: var(--rare-black);
    margin: 0;
}
.footer-flex {
    display: flex;
    justify-content: space-around;
    padding: 14.8rem 0 9.3rem;
    background: var(--footer-bkgrnd);
}

.subscribe, .social, .links, .who {
    width: 22%;
    padding: 0 2rem;
}

.who-text {
    font-family: 'Poppins';
    font-style: normal;
    font-weight: 700;
    font-size: 3.2rem;
    line-height: 100%;
    color: var(--gold);
    margin: 0;
    padding-bottom: 3.1rem;
}

.who-position {
    font-family: 'Work Sans';
    font-style: normal;
    font-weight: 600;
    font-size: 1.6rem;
    line-height: 3.2rem;
    color: var(--gray-rare);
    margin: 0;
}

.footer-flex ul {
    list-style-type: none;
}

.footer-header {
    font-family: 'Work Sans';
    font-style: normal;
    font-weight: 700;
    font-size: 2.2rem;
    line-height: 3.2rem;
    color: var(--footer-white);
    margin: 0;
    padding-bottom: 1.5rem;
}

.footer-link-text {
    font-family: 'Work Sans';
    font-style: normal;
    font-weight: 500;
    font-size: 1.8rem;
    line-height: 3.6rem;
    color: var(--footer-gray);
    margin: 0;
}

.work-list-text:hover {
    background: var(--gold);
    color: var(--main-black); 
}

.navigation-list-item-text:hover {
    color: var(--gold);

}

.card:hover {
   background: var(--cadr-active) ;
}

.card:hover .card-numbers, .card:hover .card-text {
    color: var(--main-black);
 
}
.icon-wrapper-flex:hover{
background: var(--icon-active);
}


